# State

enum State

The states a configuration can be into. A configuration is only mutable as long as it is in the unresolved state.

## Entries

UNRESOLVED
Link copied to clipboard
UNRESOLVED
RESOLVED
Link copied to clipboard
RESOLVED
RESOLVED_WITH_FAILURES
Link copied to clipboard
RESOLVED_WITH_FAILURES

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): Configuration.State

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Configuration.State>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.